---
title: "Update the column labels for link"
slug: "update-the-column-labels-for-link-1"
updated: 2026-04-02T17:37:08Z
published: 2026-04-02T17:37:27Z
canonical: "support.tulip.co/update-the-column-labels-for-link-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update the column labels for link

Put/tableLinks/{tableLinkId}

Given a linking relationship, update the left and the right column labels

SecurityHTTPType basic

Access to the Tulip API requires the use of [HTTP Basic Authentication](https://datatracker.ietf.org/doc/html/rfc7617) using the credentials of an active [Tulip API Token](https://support.tulip.co/docs/set-up-a-tulip-api). All requests require the `Authorization` HTTP header with the `Basic` scheme to provide API credentials unless otherwise noted.

API tokens can be configured with a set of *scopes* which determine what parts of the API that specific token has access to. Security best practices dictate that API credentials be given the minimum set of capabilities required to fulfill their intended purpose. For example, an API token created for use in an integration that is only designed to use the Tables API should probably only be given the `tables:read` and `tables:write` scopes. In this way you can minimize risk in the event that API credentials are compromised. API endpoints will document what API token scopes are required to access that endpoint in their descriptions. If a request is made to an endpoint with an API token which does not have the required scopes, the response will be an authorization error.

Path parameterstableLinkIdstringRequired

The id of a link between two Tulip tables

Pattern^[a-zA-Z0-9_]+$Exampleg56RCoZCtzv7borvp

Body parameters<select class='api-response-data' aria-label='Media type'><option value='23af5467-7fde-4580-85e7-69e1b3569bf6'>application/json</option>
</select>object  leftColumnLabelstring    

New label for the left column in the linking relationship

rightColumnLabelstring    

New label for the right column in the linking relationship

Responses200

link updated successfully

<select class='api-response-data' aria-label='Media type'><option value='73a602cf-43c6-412c-a420-ce5f1085ffb8'>application/json</option>
</select>object  Example{
  "id": "gthSX9t3tY2cJfBWe",
  "createdAt": "2019-01-15T17:30:01.244Z",
  "createdBy": "N24uug8iXSTWR39rB",
  "updatedAt": "2019-01-15T17:31:20.002Z",
  "updatedBy": "N24uug8iXSTWR39rB",
  "leftTableId": "d3fbb2cf-f12a-4ebc-b054-c35085bea753",
  "leftTableColumnId": "the_left_column",
  "rightTableId": "227daca2-aea8-4482-9b8d-7d340b1ff34b",
  "rightTableColumnId": "the_right_column"
}idExampleg56RCoZCtzv7borvp
createdAt
createdByExampleg56RCoZCtzv7borvp
updatedAt
updatedByExampleg56RCoZCtzv7borvp
deletedAtstring  (date-time)    
deletedBystring    Pattern^[a-zA-Z0-9_]+$Exampleg56RCoZCtzv7borvp
leftTableIdstring    

The ID of the left table in the link.

leftTableColumnIdstring    

The ID of the column in the left table that contains the links.

rightTableIdstring    

The ID of the right table in the link.

rightTableColumnIdstring    

The ID of the column in the right table that contains the links.

400

The request was malformed. This could mean that headers, query parameters, or the request body was unable to be parsed or had unexpected values.

<select class='api-response-data' aria-label='Media type'><option value='8b54c90c-9b9b-445c-b173-18db92ccd82c'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

401

The request was made unauthorized. HTTP Basic Authorization using a Tulip API Key is required for use of the API.

<select class='api-response-data' aria-label='Media type'><option value='45b0135b-31cb-403b-add1-10f98b540253'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

403

The provided authentication info was rejected. The response will provide additional details.

<select class='api-response-data' aria-label='Media type'><option value='0f9ddc9b-4d9a-448d-b016-45db5da86e40'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

422

The request was malformed. This could mean that headers, query parameters, or the request body was unable to be parsed or had unexpected values.

<select class='api-response-data' aria-label='Media type'><option value='95a0fcc3-2e75-4d8a-8af7-15bbb0665503'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

429

The limit for this asset has been reached.

<select class='api-response-data' aria-label='Media type'><option value='4c1f78bc-0e12-48c3-935d-a8444be31bf7'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

500

The server encountered an unexpected error.

<select class='api-response-data' aria-label='Media type'><option value='157660b5-73fc-44e1-96ac-b36ebcf98423'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring
